import { Request, Response } from "express-serve-static-core";
import { FileRepository } from "../repository/FileRepository";
import { ProfileService } from "../service/ProfileService";
export declare class FileResponseController {
    private readonly logger;
    private readonly fileRepository;
    private readonly profileService;
    constructor(fileRepository: FileRepository, profileService: ProfileService);
    handleRequest(req: Request, res: Response): Promise<void>;
    private _getPossibleFilePathsByFile;
    private _getPossibleFilePathsByDirectory;
    private _assertExistsAndSelectSingleFilePath;
    private _extractStatusFromFilePath;
}
