import { MockServerConfig } from './model/MockServerConfig';
export declare class MockApiServer {
    private readonly logger;
    private readonly app;
    private server;
    private readonly config;
    private readonly responseController;
    private readonly pathsNotGoingToFileHandler;
    private readonly profileService;
    private readonly fileRepository;
    constructor(mockServerConfig?: MockServerConfig);
    private _initializeApp;
    start(): void;
    stop(): void;
}
