import { Profile } from "../model/MockServerConfig";
import { FileRepository } from "../repository/FileRepository";
export declare class ProfileService {
    private readonly profiles;
    private activeProfile;
    constructor(profiles?: {
        [key: string]: Profile;
    });
    getAllProfiles(): {
        [key: string]: Profile;
    };
    getCurProfileBaseDir(): string;
    readProfilesFromFileSystem(profileDirectory: string | undefined, fileRepository: FileRepository): void;
    private _addProfile;
    assertExistsAndSetActiveProfile(newlyActiveProfile: string): void;
    getActiveProfile(): string;
}
